Уязвимость в GM API в GreaseKit / Creammonkey

Дата публикации:
26.12.2007
Всего просмотров:
887
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GreaseKit / Creammonkey 1.x
Уязвимые версии: GreaseKit / Creammonkey версии до 1.4

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за недостаточной защиты функций GM_addSytle, GM_log, GM_openInTab, GM_setValue, GM_getValue и GM_xmlhttpRequest для пользовательских сценариев. Удаленный пользователь может с помощью специально сформированного Web сайта получить доступ и изменить пользовательские свойства или отправить произвольные HTTP запросы.

URL производителя: 8-p.info/greasekit/

Решение: Установите последнюю версию 1.4 с сайта производителя.

или введите имя

CAPTCHA